{
    "format_version": "1.12.0",
    "minecraft:entity": {
        "description": {
            "identifier": "rc:redstone_link",
            "is_spawnable": false,
            "is_summonable": true,
            "is_experimental": false
        },
        "component_groups": {
            "despawn": {
                "minecraft:instant_despawn": {
                    "remove_child_entities": false
                }
            }
        },
        "components": {
            "minecraft:collision_box": {
                "width": 0.1,
                "height": 0.1
              },
              "minecraft:physics": {
                "has_collision": false,
                "has_gravity": false
              }, 
              "minecraft:pushable": {
                "is_pushable": false,
                "is_pushable_by_piston": false
              },
              "minecraft:timer": {
                "time": 0.1,
                "looping": true,
                "time_down_event": {
                  "event": "drop"
                }
              },
              "minecraft:nameable": {
                  "allow_name_tag_renaming": false,
                  "always_show": false
              }
        },
        "events": {
            "drop": {
              "add": {
                  "component_groups": [
                      "despawn"
                  ]
              }
            }
        }
    }
}